#!/bin/bash
AnzSequenzen=8 # Anzahl der Darstellungen nebeneinander im Video. Beachten: Verjüngungsschritt ist 0,1 also mehr als 9 Sequenzen sind sinnlos!
EndMasse=4     # Masse des Projektils in g. Hinweis: grössere Masse benötigt eine Anpassung der Analysezeit
OUT1="band-kinetik-${AnzSequenzen}-m${EndMasse}-stacked.mp4"
CSV2="band-kinetik-${AnzSequenzen}-m${EndMasse}-speed.csv"
GIFS=""

#gnuplot -e "CSV2=\"${CSV2}\"" band-kinetik-speed.gnuplot
#exit
rm -f $CSV2
for i in $(seq $AnzSequenzen)
do
    gnuplot -e "vj=0.1*($i-1)" -e EndMasse=${EndMasse} -e "AUSD='band$i.gif'" band-kinetik-film.gnuplot
    GIFS=$GIFS" -i band$i.gif"
#    echo "# $i" >> $CSV2
    cat band${i}.gif-v2.csv >> $CSV2
    echo >> $CSV2
    echo >> $CSV2
done
echo $GIFS
#
ffmpeg $GIFS  -filter_complex hstack=inputs=$i -pix_fmt yuv420p -c:v  libvpx-vp9 -y $OUT1 && rm band?.gif band*.csv

gnuplot -e "CSV2=\"$CSV2\"" band-kinetik-speed.gnuplot
